[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDefs.Create

Create a new instance of TFieldDefs

## Declaration

Source position: db.pas line 214

`public constructor TFieldDefs.Create(`
`ADataSet: TDataSet`
`);`

## Arguments

`ADataSet` |  | Dataset for which to maintain field definitions.

## Description

Create is used to create a new instance of TFieldDefs. The ADataset argument contains the dataset instance for which the collection contains the field definitions.

## See also

TFieldDef |  | Class to describe one field in a record in a dataset
TDataset |  | Base class for records-based data-access